﻿<%@ Page Title="" Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="true" CodeFile="View.aspx.cs" Inherits="View" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">

	<asp:Label ID="LabelError" runat="server" EnableViewState="false" CssClass="ERR"></asp:Label>

	<asp:DropDownList ID="DropDownListDataProductId" runat="server"></asp:DropDownList>

	<table>
		<tr>
			<td>
				<asp:Calendar ID="Calendar1" runat="server" BackColor="White" BorderColor="#999999" CellPadding="4" DayNameFormat="Shortest" Font-Names="Verdana" Font-Size="8pt" ForeColor="Black" Height="180px" Width="200px">
					<DayHeaderStyle BackColor="#CCCCCC" Font-Bold="True" Font-Size="7pt" />
					<NextPrevStyle VerticalAlign="Bottom" />
					<OtherMonthDayStyle ForeColor="#808080" />
					<SelectedDayStyle BackColor="#666666" Font-Bold="True" ForeColor="White" />
					<SelectorStyle BackColor="#CCCCCC" />
					<TitleStyle BackColor="#999999" BorderColor="Black" Font-Bold="True" />
					<TodayDayStyle BackColor="#CCCCCC" ForeColor="Black" />
					<WeekendDayStyle BackColor="#FFFFCC" />
				</asp:Calendar>
			</td>
			<td>
				<asp:Calendar ID="Calendar2" runat="server" BackColor="White" BorderColor="#999999" CellPadding="4" DayNameFormat="Shortest" Font-Names="Verdana" Font-Size="8pt" ForeColor="Black" Height="180px" Width="200px">
					<DayHeaderStyle BackColor="#CCCCCC" Font-Bold="True" Font-Size="7pt" />
					<NextPrevStyle VerticalAlign="Bottom" />
					<OtherMonthDayStyle ForeColor="#808080" />
					<SelectedDayStyle BackColor="#666666" Font-Bold="True" ForeColor="White" />
					<SelectorStyle BackColor="#CCCCCC" />
					<TitleStyle BackColor="#999999" BorderColor="Black" Font-Bold="True" />
					<TodayDayStyle BackColor="#CCCCCC" ForeColor="Black" />
					<WeekendDayStyle BackColor="#FFFFCC" />
				</asp:Calendar>
			</td>
		</tr>
	</table>


	<asp:Button ID="ButtonQuery" runat="server" Text="Query" OnClick="ButtonQuery_Click" />

	<hr />

	<asp:DataList ID="DataListItems" runat="server" OnItemDataBound="DataListItems_ItemDataBound" EnableViewState="false" Width="100%">
		<ItemTemplate>
			
			<asp:GridView ID="GridViewItem" runat="server" CssClass="T1" Width="100%">
				<HeaderStyle CssClass="T1H" />
				<RowStyle CssClass="T1R" />
				<AlternatingRowStyle CssClass="T1A" />
			</asp:GridView>
					
			<asp:GridView ID="GridViewFiles" runat="server" AutoGenerateColumns="false" CssClass="T1" Width="100%">
				<HeaderStyle CssClass="T1H" />
				<RowStyle CssClass="T1R" />
				<AlternatingRowStyle CssClass="T1A" />
				<Columns>

					<asp:BoundField HeaderText="File Id" DataField="DataItemFileId" />

					<asp:BoundField HeaderText="File Type" DataField="DataItemFileTypeId" />

					<asp:BoundField HeaderText="Channel" DataField="Channel" />

					<asp:HyperLinkField HeaderText="Filename" DataTextField="Filename" DataNavigateUrlFields="File"  />
					
					<asp:TemplateField HeaderText="Size">
						<ItemTemplate>
							<asp:Literal runat="server" Text='<%# Spludlow.Text.DataSize((int)Eval("Size")) %>' ></asp:Literal>
						</ItemTemplate>
					</asp:TemplateField>
										
					<asp:BoundField HeaderText="Width" DataField="Width" />
					<asp:BoundField HeaderText="Height" DataField="Height" />
					<asp:BoundField HeaderText="Pixels" DataField="Pixels" />
					
					<asp:BoundField HeaderText="Format" DataField="Format" />
					<asp:BoundField HeaderText="StoreExtention" DataField="StoreExtention" />

				</Columns>
			</asp:GridView>

			<asp:DataList ID="DataListFiles" runat="server" RepeatDirection="Horizontal" RepeatLayout="Flow" EnableViewState="false">
				<ItemTemplate>
					<asp:HyperLink ID="HyperLinkFile" runat="server" NavigateUrl='<%# Eval("FileDirect") %>' Target="_blank" >
						<asp:Image ID="ImageFile" runat="server" BorderStyle="None" ImageUrl='<%# Eval("Thumb") %>' />
					</asp:HyperLink>			
				</ItemTemplate>
			</asp:DataList>

			<hr />

		</ItemTemplate>
		
	</asp:DataList>

</asp:Content>

